Name:          irda-utils
Version:       0.9.18
Release:       4mamba
Summary:       Utilities for infrared communication between devices
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://irda.sourceforge.net
Source:        http://downloads.sourceforge.net/sourceforge/irda/irda-utils-%{version}.tar.gz
Patch0:        %{name}-0.9.18-fix_installroot.patch
Patch1:        irda-utils-0.9.18-gcc-6.1.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpci-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
IrDA(TM) (Infrared Data Association) is an industry standard for wireless, infrared communication between devices.
IrDA speeds range from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from scratch, of the IrDA protocols.
Supported IrDA protocols include IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable the use of IrDA protocols.
Most IrDA features are implemented in the kernel, so IrDA support must be enabled in the kernel before any IrDA tools or programs can be used.
Some configuration outside the kernel is required, however, and some IrDA features, like IrOBEX, are actually implemented outside the kernel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make %{_smp_mflags} MANDIR=%{_mandir}

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir}}
make install ROOT=%{buildroot} MANDIR=%{buildroot}%{_mandir}
#install -m 0755 irnetd/irnetd %{buildroot}%{_sbindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/irda
%{_sysconfdir}/sysconfig/network-scripts/ifcfg-irlan0
%{_initrddir}/irda
%{_bindir}/irkbd
%{_bindir}/irpsion5
%{_sbindir}/dongle_attach
%{_sbindir}/findchip
%{_sbindir}/irattach
%{_sbindir}/irdadump
%{_sbindir}/irdaping
%{_sbindir}/irnetd
%{_sbindir}/smcinit
%{_sbindir}/tosh1800-smcinit
%{_sbindir}/tosh2450-smcinit
%{_mandir}/man4/irnet.4*
%{_mandir}/man7/irda.7*
%{_mandir}/man8/*.8*

%changelog
* Wed Aug 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.18-4mamba
- fix installation of irdadump

* Mon Aug 19 2013 Automatic Build System <autodist@mambasoft.it> 0.9.18-3mamba
- automatic rebuild by autodist

* Tue Jan 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.18-2mamba
- rebuilt against static libpci

* Mon May 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.18-1mamba
- update to 0.9.18
- fixed group entry

* Wed Oct 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16-2qilnx
- added man and missing irnetd

* Thu Jun 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16-1qilnx
- first build
